%define cvs 20070306

Name:		rt61
Version:	1.1.0.cvs%cvs
Release:	1%{?dist}
Summary:	Diagnostic tools for Ralink Wireless devices
Group:		System Environment/Base
License:	GPL
URL:		http://rt2x00.serialmonkey.com/
#Source0:	http://rt2x00.serialmonkey.com/rt61-cvs-daily.tar.gz
#Rename daily to %{cvs} version of the tarball.
#Cleaned tarball from CVS entries.
Source0:	rt61-cvs-%{cvs}.tar.bz2
Source1:	rt61-snapshot.sh
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides:	rt61-kmod-common = %{version}
Requires:	rt61-kmod >= %{version}
Requires:	rt61-firmware
BuildArch:      noarch

%description
This package contains the Ralink rt61 Driver for WiFi, a linux
device driver for 802.11a/b/g universal NIC cards - either Cardbus,
PCI or MiniPCI - that use rt61 chipsets.

This is the rt61-kmod-common package.This contain the Utility to set RT61

%prep
%setup -q -n %{name}-cvs-%{cvs}
mv Module/README .
mv Module/ReleaseNote .
mv Module/STA_iwpriv_ATE_usage.txt .
mv Module/iwpriv_usage.txt .
sed -i 's/\r//' LICENSE
sed -i 's/\r//' iwpriv_usage.txt
sed -i 's/\r//' STA_iwpriv_ATE_usage.txt

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/Wireless/RT61STA
install -m 644 Module/rt61sta.dat $RPM_BUILD_ROOT%{_sysconfdir}/Wireless/RT61STA
install -m 644 Module/*.bin $RPM_BUILD_ROOT%{_sysconfdir}/Wireless/RT61STA

cat > %{name}-modprobe.d <<EOF
# rt61 Ralink wireless 
#options rt61 debug=1
alias wlan0 rt61
EOF

install -D -p -m 0644 %{name}-modprobe.d $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/rt61

rm $RPM_BUILD_ROOT%{_sysconfdir}/Wireless/RT61STA/rt2*.bin
ln -s /lib/firmware/rt2561.bin $RPM_BUILD_ROOT%{_sysconfdir}/Wireless/RT61STA/rt2561.bin
ln -s /lib/firmware/rt2561s.bin $RPM_BUILD_ROOT%{_sysconfdir}/Wireless/RT61STA/rt2561s.bin
ln -s /lib/firmware/rt2661.bin $RPM_BUILD_ROOT%{_sysconfdir}/Wireless/RT61STA/rt2661.bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc THANKS CHANGELOG LICENSE STA_iwpriv_ATE_usage.txt README ReleaseNote BIG_FAT_WARNING
%config(noreplace)%{_sysconfdir}/modprobe.d/rt61
%config(noreplace)%{_sysconfdir}/Wireless/RT61STA/rt61sta.dat
%{_sysconfdir}/Wireless/RT61STA/*.bin


%changelog
* Tue Mar  6 2007 kwizart < kwizart at gmail.com > - 1.2.2.cvs20070306-1
- Update to 20070306

* Mon Nov 20 2006 kwizart < kwizart at gmail.com > - 1.1.0.cvs20061120-5.fc6
- Update to 20061120.
- Drop RuilT

* Sun Aug 27 2006 kwizart < kwizart at gmail.com > - 1.1.0.cvs2006082716-5_FC5
- Update to cvs 2006082716.
- Requires RutilT.
- inital release.


